#pragma once
#include "stdafx.h"
#include <stdio.h>
#include <tchar.h>

#include <windows.h>
#include <conio.h>
#include <1394camera.h>
#include "cvpixel.h"
#pragma comment(lib,"1394camerad.lib")

enum ColourSpace { YUV444, YUV422, YUV411, RGB, MONO8, MONO16};


int getFrameRateCode(float fps);
float getFrameRate(int frameRateCode);
int getModeFormat(int *format, int *mode, int width, int height, enum ColourSpace *col);
int getWidthHeight(int format, int mode, int *width,int *height, enum ColourSpace *col);
int getColourString(enum ColourSpace col,char* name);
int setupFWCamera(int width, int height, float fps, enum ColourSpace col);
int setupFWCamera(int format, int mode, int frameRate);
int setupFWCamera(void);
int startImageAcquisition(void);
int stopFWCamera(void);
int getFWImage(IplImage *img);
void BRG2RGB(IplImage *img);
int getCurrentCameraFormat(int *format, int *mode);
int listSupportedModes();
float getRealFps(); 